<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?><!--  Copyright (c) 2000-2005 MetaMatrix, Inc.  All rights reserved. --><plugin id="com.metamatrix.modeler.transformation.ui" name="%pluginName"
        version="5.0.2"
        provider-name="%providerName"
        class="com.metamatrix.modeler.transformation.ui.UiPlugin">

   <runtime>
      <library name="modelerTransformationUi_PATCH.jar">
         <export name="*"/>
      </library>
      <library name="modelerTransformationUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.gef"/>
      <import plugin="com.metamatrix.core"/>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.draw2d"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="com.metamatrix.metamodels.diagram"/>
      <import plugin="org.eclipse.emf.ecore"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="org.eclipse.emf.common"/>
      <import plugin="org.eclipse.emf.edit"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="org.eclipse.emf.ecore.xmi"/>
      <import plugin="com.metamatrix.modeler.diagram.ui"/>
      <import plugin="com.metamatrix.query"/>
      <import plugin="com.metamatrix.query.ui"/>
      <import plugin="com.metamatrix.common"/>
      <import plugin="com.metamatrix.modeler.transformation"/>
      <import plugin="com.metamatrix.modeler.tools.textimport.ui"/>
      <import plugin="com.metamatrix.modeler.relational.ui"/>
   </requires>


   <!-- Adding the Transformation Diagram Type extension-->
   <extension id="transformationDiagramType" name="%transformDiagramType"
              point="com.metamatrix.modeler.diagram.ui.diagramType">
      <diagram class="com.metamatrix.modeler.transformation.ui.diagram.TransformationDiagramType"
               simpleDiagram="true">
      </diagram>
   </extension>
   <!-- Adding the Dependency Type extension-->
   <extension id="dependencyDiagramType" name="%dependencyDiagramType"
              point="com.metamatrix.modeler.diagram.ui.diagramType">
      <diagram class="com.metamatrix.modeler.transformation.ui.diagram.DependencyDiagramType"
               simpleDiagram="true">
      </diagram>
   </extension>
   <extension id="transformationDiagramContentProvider"
              name="Transformation Diagram Content Provider"
              point="com.metamatrix.modeler.ui.diagramContentProvider">
      <class name="com.metamatrix.modeler.transformation.ui.diagram.TransformationDiagramContentProvider">
      </class>
      <diagramType name="transformationDiagramType">
      </diagramType>
   </extension>
   <extension id="transformationDiagramLabelProvider"
              name="Transformation Diagram LabelProvider"
              point="com.metamatrix.modeler.ui.diagramLabelProvider">
      <class name="com.metamatrix.modeler.transformation.ui.diagram.TransformationDiagramLabelProvider">
      </class>
      <diagramType name="transformationDiagramType">
      </diagramType>
   </extension>
   <extension id="TransformationObjectEditorPage" name="Transformation Object Editor"
              point="com.metamatrix.modeler.ui.modelObjectEditorPage">
      <class name="com.metamatrix.modeler.transformation.ui.editors.TransformationObjectEditorPage">
      </class>
   </extension>
   <!-- Transformation Diagram Type Permanent Model Object Action Contributor -->
   <extension id="transformationDiagramModelObjectActionContributor"
              point="com.metamatrix.modeler.ui.modelObjectActionContributor">
      <class name="com.metamatrix.modeler.transformation.ui.actions.TransformationDiagramPermanentActionContributor">
      </class>
   </extension>
   <extension id="transformationLinkContributor" name="%transformationLinkContributor"
              point="com.metamatrix.modeler.ui.newModelWizardContributor">
      <class name="com.metamatrix.modeler.transformation.ui.wizards.TransformationLinkContributor"
             icon="icons/full/ctool16/newmodel_wiz.gif">
      </class>
      <metamodelDescriptorType name="http://www.metamatrix.com/metamodels/Relational" isPhysical="false"
                               isVirtual="true">
      </metamodelDescriptorType>
      <metamodelDescriptorType name="http://www.metamatrix.com/metamodels/DataAccess" isPhysical="false"
                               isVirtual="true">
      </metamodelDescriptorType>
   </extension>
   <!-- Helper method to allow external edit for objects. i.e. Delete, Copy, etc.. -->
   <extension id="transformationObjectEditHelper" name="%transformationObjectEditHelper"
              point="com.metamatrix.modeler.ui.modelObjectEditHelper">
      <class name="com.metamatrix.modeler.transformation.ui.actions.TransformationObjectEditHelper">
      </class>
   </extension>
   <extension id="%modelImportContributions.id" name="ModelImportContributions"
              point="org.eclipse.ui.popupMenus">
<!-- Action to Refresh Import List in the Outline view -->
      <objectContribution objectClass="com.metamatrix.modeler.internal.ui.viewsupport.ImportContainer"
                          id="com.metamatrix.modeler.ui.updateImports">
         <action label="%organizeImportsAction.label"
                 class="com.metamatrix.modeler.internal.ui.actions.OrganizeImportsAction"
                 id="organizeImportsAction">
         </action>
      </objectContribution>
   </extension>
   <!--
	Add the Navigation Action Set to the Modeler Perspective MetaData menu. In order to do
	this we must make sure the MetaData Action Set has also been activated. Also add the search action set.
-->
   <extension point="org.eclipse.ui.perspectiveExtensions">
      <perspectiveExtension targetID="com.metamatrix.modeler.ui.modelerPerspective">
         <actionSet id="com.metamatrix.modeler.transformation.ui.transformationMetadataActionSet">
         </actionSet>
      </perspectiveExtension>
   </extension>
   <!-- Action in the Metadata menu to revalidate model transformations -->

   <extension point="org.eclipse.ui.actionSets">
      <actionSet label="%metadataActionSet.label" visible="true"
                 id="com.metamatrix.modeler.transformation.ui.transformationMetadataActionSet">
         <action label="%revalidateModelAction.label" tooltip="%revalidateModelAction.tooltip"
                 icon="icons/full/cview16/validate.gif"
                 class="com.metamatrix.modeler.transformation.ui.actions.RevalidateModelAction"
                 menubarPath="project/additions"
                 enablesFor="1"
                 id="revalidateModelAction">
         </action>
      </actionSet>
   </extension>
   <!-- Helper method to allow external edit for objects. i.e. Delete, Copy, etc.. -->
   <extension id="transformationUiNewModelObjectHelper"
              name="%transformationUiNewModelObjectHelper"
              point="com.metamatrix.modeler.core.newModelObjectHelper">
      <class name="com.metamatrix.modeler.transformation.ui.util.TransformationUiNewModelObjectHelper">
      </class>
   </extension>
       <!-- Text Importer Contribution -->
   <extension id="transformationUiTextImporter" name="%transformationUiTextImporter"
              point="com.metamatrix.modeler.tools.textimport.ui.textImportContributor">
      <class name="com.metamatrix.modeler.transformation.ui.wizards.ImportVirtualTablesMainPage">
      </class>
   </extension>
   <extension id="com.metamatrix.modeler.transformation.ui.actions.RevalidateModelTransformationsAction"
              name="%revalidateModelTransformationsAction.name"
              point="com.metamatrix.modeler.ui.modelResourceAction">
      <resourceAction name="com.metamatrix.modeler.transformation.ui.actions.RevalidateModelTransformationsAction"
                      label="%revalidateModelTransformationsAction.label">
      </resourceAction>
   </extension>
   <!-- XQuery Transformation Editor -->
   <extension id="XQueryTransformationObjectEditorPage" name="XQuery Object Editor"
              point="com.metamatrix.modeler.ui.modelObjectEditorPage">
      <class name="com.metamatrix.modeler.transformation.ui.editors.XQueryObjectEditorPage">
      </class>
   </extension>
       <extension id="com.metamatrix.modeler.transformation.ui.actions.ImportTransformationSqlFromTextAction"
              name="%importTransformationSqlFromTextAction.name"
              point="com.metamatrix.modeler.ui.modelObjectSpecialAction">
      <specialAction name="com.metamatrix.modeler.transformation.ui.actions.ImportTransformationSqlFromTextAction"
                     label="%importTransformationSqlFromTextAction.label">
      </specialAction>
   </extension>
       <extension id="com.metamatrix.modeler.transformation.ui.actions.ExportTransformationSqlToTextAction"
              name="%exportTransformationSqlToTextAction.name"
              point="com.metamatrix.modeler.ui.modelObjectSpecialAction">
      <specialAction name="com.metamatrix.modeler.transformation.ui.actions.ExportTransformationSqlToTextAction"
                     label="%exportTransformationSqlToTextAction.label">
      </specialAction>
   </extension>
</plugin>